diff -up sos-2.2/sos/plugins/ipa.py.orig sos-2.2/sos/plugins/ipa.py
--- sos-2.2/sos/plugins/ipa.py.orig 2012-10-15 19:35:26.419275737 +0100
+++ sos-2.2/sos/plugins/ipa.py  2012-10-15 19:37:35.282126727 +0100
@@ -33,6 +33,8 @@ class ipa(sos.plugintools.PluginBase):
 
     def setup(self):
         self.addCopySpec("/etc/hosts")
+        self.addCopySpec("/etc/named.*")
+        self.addForbiddenPath("/etc/named.keytab")
         if self.ipa_server:
             self.addCopySpec("/var/log/ipaserver-install.log")
             self.addCopySpec("/var/log/ipareplica-install.log")
@@ -42,6 +44,7 @@ class ipa(sos.plugintools.PluginBase):
         self.addCopySpec("/var/log/ipaupgrade.log")
 
         self.addCopySpec("/var/log/krb5kdc.log")
+        self.addCopySpec("/var/kerberos/krb5kdc/kdc.conf")
 
         self.addCopySpec("/var/log/pki-ca/debug")
         self.addCopySpec("/var/log/pki-ca/catalina.out")
@@ -73,3 +76,9 @@ class ipa(sos.plugintools.PluginBase):
 
         return
 
+
+    def postproc(self):
+        match = r"(\s*arg \"password )[^\"]*"
+        subst = r"\1********"
+        self.doRegexSub("/etc/named.conf", match, subst)
+
diff -up sos-2.2/sos/plugins/named.py.orig sos-2.2/sos/plugins/named.py
--- sos-2.2/sos/plugins/named.py.orig   2012-10-15 19:37:45.932139259 +0100
+++ sos-2.2/sos/plugins/named.py    2012-10-15 19:37:55.027364917 +0100
@@ -49,6 +49,6 @@ class named(sos.plugintools.PluginBase):
 
     def postproc(self):
         match = r"(\s*arg \"password )[^\"]*"
-        subst = r"\1*** PASSWORD REDACTED ***"
+        subst = r"\1********"
         self.doRegexSub("/etc/named.conf", match, subst)
 

